Updating the year on solaris

Posted by / 28-Dec-2017 18:38

The various fields in the version is explained in Oracle Solaris Package Versioning.Oracle only makes SRUs available to customers with support contracts - if you have a support contract you can read more about SRU's in the Oracle Support Knowledgebase at Solaris 11 Support Repositories Explained, and see what fixes are available in each SRU for Solaris 11.1 and Solaris 11.2.If an SRU had been installed on top of that you'd get a version like 0.5.11-0.175.1.21.4.1 (aka Oracle Solaris 11.1 SRU21.4.1) You can easily upgrade to an SRU but you can't downgrade unless you have an older Boot Environment (BE) from which to upgrade to the SRU you want.

latest incorporations: pkg://solaris/consolidation/sunpro/[email protected],5.11-0.175.3.9.0.2.160528T012705Z The following indicates why the system cannot update to the latest version: Reject: pkg://solaris/library/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/library/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reject: pkg://solaris/library/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version matching 'conditional' dependency library/python/[email protected],5.12-5.12.0.0.0.90.0 can be installed Reject: pkg://solaris/file/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/file/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/library/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.12.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version matching 'conditional' dependency library/python/[email protected],5.12-5.12.0.0.0.95.0 can be installed Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reason: No version matching 'require' dependency library/python/[email protected],5.12-5.12.0.0.0.95.0 can be installed ---------------------------------------- Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found ---------------------------------------- Reject: pkg://solaris/library/python/[email protected] Reason: [already rejected; see above] Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reason: No version matching 'conditional' dependency library/python/[email protected],5.12-5.12.0.0.0.95.0 can be installed ---------------------------------------- Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found ---------------------------------------- Reject: pkg://solaris/library/python/[email protected] Reason: [already rejected; see above] Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found Reject: pkg://solaris/library/python/[email protected] Reason: No version for 'optional' dependency on consolidation/desktop/[email protected],5.11-5.12.0.0.0.14.0 can be found It looks like the Oracle docs on Installing Sun Studio missed a step. The problems below show up on both a DL360 G5 hardware (dual Xeons), and a VM guest (Core i7).The Solaris installations use Sun's image, and I did not perform any customization other than to enable their Software Repository for Sun Studio.However, some Solaris users missed the ability to be able to build and deploy "flash archive" images -- which they could do with UFS and not ZFS What Oracle is saying now is that the last barrier to using ZFS instead of UFS as the root file system has gone away."Oracle Solaris 10 8/11 includes features designed to simplify the transition from UFS-based system disks to Oracle Solaris ZFS," Oracle's release notes state.

updating the year on solaris-47updating the year on solaris-19updating the year on solaris-87

"By making sure that all relevant installation capabilities available with UFS are also available with ZFS, Oracle Solaris 8/11 makes an excellent ZFS transition point to take advantage of the ease of management, data integrity, and built-in data services provided by Oracle Solaris ZFS." New Solaris 10 systems can now also be installed from a Solaris ZFS Flash Archive, which is intended to make it easier and faster for users to deploy the operating system.

One thought on “updating the year on solaris”